Name:           merkaartor
Version:        0.13.1
Release:        1%{?dist}
Summary:        Qt-Based OpenStreetMap editor

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.merkaartor.org
Source0:        http://www.merkaartor.org/downloads/source/%{name}-%{version}.tar.bz2
# This fixes a typo wrt. the es-translation - a fix is already commited upstream for 0.14
Patch0:         merkaartor-eslang.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel >= 4.4
BuildRequires:  desktop-file-utils
BuildRequires:  exiv2-devel
BuildRequires:  gdal-devel

%description
Merkaartor is a small editor for OpenStreetMap available under the
GNU General Public License and developed  using the Qt toolkit.

It has some unique features like anti-aliased displaying,
transparent display of map features like roads and curved roads.

%prep
%setup -q 
%patch0 -p0

%build
lrelease-qt4 Merkaartor.pro
qmake-qt4 Merkaartor.pro PREFIX=%{_prefix} NODEBUG=1 GEOIMAGE=1 GPSD=1 GDAL=1 NVIDIA_HACK=1
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=${RPM_BUILD_ROOT} install
install -p -m 644 -D Icons/Merkaartor.xpm $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.xpm  
desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_datadir}/merkaartor
%dir %{_datadir}/merkaartor/translations
%dir %{_datadir}/merkaartor/world_shp
%dir %{_datadir}/merkaartor/world_shp/*
%{_datadir}/merkaartor/translations/%{name}_*.qm
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%doc AUTHORS CHANGELOG HACKING LICENSE

%changelog
* Sat Apr 04 2009 Sven Lankes <sven@lank.es> - 0.13.1-1
- new upstream release

* Wed Oct 15 2008 Sven Lankes <sven@lank.es> - 0.12-2
- remove additional source merkaartor.xpm - now included
- minor update of .desktop-file

* Mon Oct 13 2008 Sven Lankes <sven@lank.es> - 0.12-1
- new upstream release
- enable geotagging support (requires exiv2)
- remove -fixes patch

* Wed Sep 10 2008 Sven Lankes <sven@lank.es> - 0.11-3
- add patch from -fixes branch (fixes upload error)

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-2
- include unowned directories

* Wed Aug 06 2008 Sven Lankes <sven@lank.es> - 0.11-1
- final 0.11 release 
- Updated versioning scheme - 0.x 

* Mon Jul 28 2008 slankes <sven@lank.es> - 0.0.11-0.1.rc1
- update to release candidate

* Thu Jul 24 2008 slankes <sven@lank.es> - 0.0.10-7
- fix executable source-files

* Wed Jun 25 2008 slankes <sven@lank.es> - 0.0.10-6
- remove superfluous make install from specfile
- tune requires/buildrequires

* Sat Jun 14 2008 slankes <sven@lank.es> - 0.0.10-5
- Remove unneeded buildrequires
- SPEC-Cleanup

* Sun May 18 2008 slankes <sven@lank.es> - 0.0.10-4
- Build in release mode instead of debug. This (among other things) makes merkaartor honour the rpm optflags) 

* Thu May  8 2008 slankes <sven@lank.es> - 0.0.10-3
- Preserve timestamps 

* Sun May  4 2008 slankes <sven@lank.es> - 0.0.10-2
- First package version

